%define	_requires_exceptions pear(tests/Horde_Ldap/Horde/Ldap/Autoload.php)
%define upstream_name Horde_Ldap
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.4
Release:     	%mkrel 1
Summary:    	Horde LDAP libraries
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Exception < 2.0.0
Requires:   	php-pear-Horde_Util < 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Conflicts:   	php-pear-Horde_Util = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Ldap = %{version}
Obsoletes:	horde-ldap

%description
This package provides a set of classes for connecting to LDAP servers and
working with directory objects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Ldap.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Ldap.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Ldap
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Ldap/COPYING
%{peardir}/Horde/Ldap.php
%{peardir}/Horde/Ldap/Entry.php
%{peardir}/Horde/Ldap/Exception.php
%{peardir}/Horde/Ldap/Filter.php
%{peardir}/Horde/Ldap/Ldif.php
%{peardir}/Horde/Ldap/RootDse.php
%{peardir}/Horde/Ldap/Schema.php
%{peardir}/Horde/Ldap/Search.php
%{peardir}/Horde/Ldap/Util.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/AllTests.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/Autoload.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/EntryTest.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/FilterTest.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/LdapTest.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/LdifTest.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/SearchTest.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/TestBase.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/UtilTest.php
%{peardir}/tests/Horde_Ldap/Horde/Ldap/conf.php.dist
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/changes.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/malformed_encoding.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/malformed_syntax.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/malformed_wrapping.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/sorted_w40.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/sorted_w50.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/unsorted_w30.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/unsorted_w50.ldif
%{peardir}/tests/Horde_Ldap/Horde/Ldap/fixtures/unsorted_w50_WIN.ldif
%{xmldir}/Horde_Ldap.xml


%changelog

* Mon Nov 21 2011 spuhler <spuhler> 1.1.4-1.mga2
+ Revision: 170267
- upgrade to 1.1.4

* Sun Nov 06 2011 spuhler <spuhler> 1.1.3-1.mga2
+ Revision: 164526
- upgrade to 1.1.3
- added %%define _requires_exceptions pear(tests/Horde_Ldap/Horde/Ldap/Autoload.php) to get around the invalid requires
-Provides:      	php-pear-Horde_Ldap
  +Provides:      	php-pear-Horde_Ldap = %%{version}
-Requires:   	php-pear-Horde_Util = 2.0.0
  +Requires:   	php-pear-Horde_Util < 2.0.0
- imported package php-pear-Horde_Ldap

